# \Thelia\Core\TemplateParserContext

The parser context is an application-wide context, which stores var-value pairs.

Theses pairs are injected in the parser and becomes available to the templates.

## Summary

Methods
Properties
Constants
__construct()
setErrorForm()
setGeneralError()
getErrorForm()
clearErrorForm()
set()
remove()
get()
getIterator()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$store
N/A

File
  Core/Template/ParserContext.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Template\ParserContext

## Tags

author | Franck Allimant franck@cqfdev.fr

## Properties

### $store

    $store

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Core\HttpFoundation\Request $request)

#### Parameters

\Thelia\Core\HttpFoundation\Request | $request |

#

## Tags

None found

### setErrorForm()

    setErrorForm(\Thelia\Form\BaseForm $form)

#### Parameters

\Thelia\Form\BaseForm | $form | the errored form

#

## Tags

None found

### setGeneralError()

    setGeneralError( $error)

#### Parameters

| $error |

#

## Tags

None found

### getErrorForm()

    getErrorForm()

#

## Tags

None found

### clearErrorForm()

    clearErrorForm()

#

## Tags

None found

### set()

    set( $name,  $value)

#### Parameters

| $name |
| $value |

#

## Tags

None found

### remove()

    remove( $name)

#### Parameters

| $name |

#

## Tags

None found

### get()

    get( $name,  $default)

#### Parameters

| $name |
| $default |

#

## Tags

None found

### getIterator()

    getIterator()

#

## Tags

None found

### ParserContext.php